<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_graph.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_graph.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Graph object. </p>

<p><a href="vx__graph_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__graph__t.html">tivx_graph_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The top level data for graph object.  <a href="structtivx__graph__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph__cfg.html#ga98742f4b8c0d0aefaa0e0a3b8a08c223">TIVX_GRAPH_MAX_HEAD_NODES</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible head nodes in graph.  <a href="group__group__vx__graph__cfg.html#ga98742f4b8c0d0aefaa0e0a3b8a08c223"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph__cfg.html#gaa4e83abd40c45fbd296008ad79d8d9b9">TIVX_GRAPH_MAX_LEAF_NODES</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible leaf nodes in graph.  <a href="group__group__vx__graph__cfg.html#gaa4e83abd40c45fbd296008ad79d8d9b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph__cfg.html#ga1e90c432483f28c0c32b249577b46dde">TIVX_GRAPH_MAX_PARAMS</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible parameters in graph.  <a href="group__group__vx__graph__cfg.html#ga1e90c432483f28c0c32b249577b46dde"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph__cfg.html#ga328a381d97286ef5ef025be1e9471437">TIVX_GRAPH_MAX_DELAYS</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max possible delays in graph.  <a href="group__group__vx__graph__cfg.html#ga328a381d97286ef5ef025be1e9471437"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph.html#ga382c7c56a26c11ef3ab4d53ee067a801">ownGraphGetFreeNodeIndex</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get next free node entry in graph.  <a href="group__group__vx__graph.html#ga382c7c56a26c11ef3ab4d53ee067a801"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph.html#ga3cdd9e3db44e005e8f327756fd47d9dc">ownGraphAddNode</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node, int32_t index)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add's a node to a graph.  <a href="group__group__vx__graph.html#ga3cdd9e3db44e005e8f327756fd47d9dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph.html#ga9830a8a2a45de2cdc01865061fb59ed8">ownGraphRemoveNode</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> node)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a node from a graph.  <a href="group__group__vx__graph.html#ga9830a8a2a45de2cdc01865061fb59ed8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph.html#gadccdfaff993b98451a9d159c96e8cbf4">ownGraphTopologicalSort</a> (<a class="el" href="structtivx__graph__sort__context.html">tivx_graph_sort_context</a> *context, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> *nodes, uint32_t num_nodes, <a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> *has_cycle)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Perform topological sort of graph nodes.  <a href="group__group__vx__graph.html#gadccdfaff993b98451a9d159c96e8cbf4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__graph.html#ga8f66ba30fd30e78b86621bafd1b5b04c">ownGraphSetReverify</a> (<a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> graph)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mark graph to be reverified.  <a href="group__group__vx__graph.html#ga8f66ba30fd30e78b86621bafd1b5b04c"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
